Säkerhetsföretaget Armis har upptäckt fem kritiska sårbarheter i dataväxlar från Aruba och Avaya.

Sårbarheterna, som fått namnet TLSTORM 2.0, ska härstamma från osäkerheter i NanoSSL och har fått riskbetyg mellan på 9,0 och 9,8 på en tiogradig skala.

Enligt Armis säkerhetsforskare ska vissa av sårbarheterna kunna aktiveras utan att vare sig någon autentisering eller användarinteraktion krävs.

Sårbarheterna uppskattas påverka cirka tio miljoner enheter, som bland annat förekommer i sjukhus, hotell och flygplatser, rapporterar The Register

Armis har kontaktat Aruba och Avaya som nu uppdaterat sin mjukvara. Enligt Armis har de inte sett några tecken på att sårbarheterna hunnit utnyttjas av anfallare.

Läs också: It-cheferna överens: Log4Shell förändrade molnsäkerheten permanent